Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network11.63.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
11.63.0.0
Broadcast address
11.63.31.255
First usable
11.63.0.1
Last usable
11.63.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 0B3F0000 · Integer 188678144 to 188686335
Reverse DNS zones
0.63.11.in-addr.arpa
1.63.11.in-addr.arpa
2.63.11.in-addr.arpa
3.63.11.in-addr.arpa
4.63.11.in-addr.arpa
5.63.11.in-addr.arpa
6.63.11.in-addr.arpa
7.63.11.in-addr.arpa
8.63.11.in-addr.arpa
9.63.11.in-addr.arpa
10.63.11.in-addr.arpa
11.63.11.in-addr.arpa
12.63.11.in-addr.arpa
13.63.11.in-addr.arpa
14.63.11.in-addr.arpa
15.63.11.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001011.00111111.00000000.0000000011.63.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00001011.00111111.00000000.0000000011.63.0.0
Broadcast00001011.00111111.00011111.1111111111.63.31.255
Split into smaller subnets/28

11.63.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
111.63.0.0/2811.63.0.1 to 11.63.0.1411.63.0.1514
211.63.0.16/2811.63.0.17 to 11.63.0.3011.63.0.3114
311.63.0.32/2811.63.0.33 to 11.63.0.4611.63.0.4714
411.63.0.48/2811.63.0.49 to 11.63.0.6211.63.0.6314
511.63.0.64/2811.63.0.65 to 11.63.0.7811.63.0.7914
611.63.0.80/2811.63.0.81 to 11.63.0.9411.63.0.9514
711.63.0.96/2811.63.0.97 to 11.63.0.11011.63.0.11114
811.63.0.112/2811.63.0.113 to 11.63.0.12611.63.0.12714
911.63.0.128/2811.63.0.129 to 11.63.0.14211.63.0.14314
1011.63.0.144/2811.63.0.145 to 11.63.0.15811.63.0.15914
1111.63.0.160/2811.63.0.161 to 11.63.0.17411.63.0.17514
1211.63.0.176/2811.63.0.177 to 11.63.0.19011.63.0.19114
1311.63.0.192/2811.63.0.193 to 11.63.0.20611.63.0.20714
1411.63.0.208/2811.63.0.209 to 11.63.0.22211.63.0.22314
1511.63.0.224/2811.63.0.225 to 11.63.0.23811.63.0.23914
1611.63.0.240/2811.63.0.241 to 11.63.0.25411.63.0.25514
1711.63.1.0/2811.63.1.1 to 11.63.1.1411.63.1.1514
1811.63.1.16/2811.63.1.17 to 11.63.1.3011.63.1.3114
1911.63.1.32/2811.63.1.33 to 11.63.1.4611.63.1.4714
2011.63.1.48/2811.63.1.49 to 11.63.1.6211.63.1.6314
2111.63.1.64/2811.63.1.65 to 11.63.1.7811.63.1.7914
2211.63.1.80/2811.63.1.81 to 11.63.1.9411.63.1.9514
2311.63.1.96/2811.63.1.97 to 11.63.1.11011.63.1.11114
2411.63.1.112/2811.63.1.113 to 11.63.1.12611.63.1.12714
2511.63.1.128/2811.63.1.129 to 11.63.1.14211.63.1.14314
2611.63.1.144/2811.63.1.145 to 11.63.1.15811.63.1.15914
2711.63.1.160/2811.63.1.161 to 11.63.1.17411.63.1.17514
2811.63.1.176/2811.63.1.177 to 11.63.1.19011.63.1.19114
2911.63.1.192/2811.63.1.193 to 11.63.1.20611.63.1.20714
3011.63.1.208/2811.63.1.209 to 11.63.1.22211.63.1.22314
3111.63.1.224/2811.63.1.225 to 11.63.1.23811.63.1.23914
3211.63.1.240/2811.63.1.241 to 11.63.1.25411.63.1.25514
3311.63.2.0/2811.63.2.1 to 11.63.2.1411.63.2.1514
3411.63.2.16/2811.63.2.17 to 11.63.2.3011.63.2.3114
3511.63.2.32/2811.63.2.33 to 11.63.2.4611.63.2.4714
3611.63.2.48/2811.63.2.49 to 11.63.2.6211.63.2.6314
3711.63.2.64/2811.63.2.65 to 11.63.2.7811.63.2.7914
3811.63.2.80/2811.63.2.81 to 11.63.2.9411.63.2.9514
3911.63.2.96/2811.63.2.97 to 11.63.2.11011.63.2.11114
4011.63.2.112/2811.63.2.113 to 11.63.2.12611.63.2.12714
4111.63.2.128/2811.63.2.129 to 11.63.2.14211.63.2.14314
4211.63.2.144/2811.63.2.145 to 11.63.2.15811.63.2.15914
4311.63.2.160/2811.63.2.161 to 11.63.2.17411.63.2.17514
4411.63.2.176/2811.63.2.177 to 11.63.2.19011.63.2.19114
4511.63.2.192/2811.63.2.193 to 11.63.2.20611.63.2.20714
4611.63.2.208/2811.63.2.209 to 11.63.2.22211.63.2.22314
4711.63.2.224/2811.63.2.225 to 11.63.2.23811.63.2.23914
4811.63.2.240/2811.63.2.241 to 11.63.2.25411.63.2.25514
4911.63.3.0/2811.63.3.1 to 11.63.3.1411.63.3.1514
5011.63.3.16/2811.63.3.17 to 11.63.3.3011.63.3.3114
5111.63.3.32/2811.63.3.33 to 11.63.3.4611.63.3.4714
5211.63.3.48/2811.63.3.49 to 11.63.3.6211.63.3.6314
5311.63.3.64/2811.63.3.65 to 11.63.3.7811.63.3.7914
5411.63.3.80/2811.63.3.81 to 11.63.3.9411.63.3.9514
5511.63.3.96/2811.63.3.97 to 11.63.3.11011.63.3.11114
5611.63.3.112/2811.63.3.113 to 11.63.3.12611.63.3.12714
5711.63.3.128/2811.63.3.129 to 11.63.3.14211.63.3.14314
5811.63.3.144/2811.63.3.145 to 11.63.3.15811.63.3.15914
5911.63.3.160/2811.63.3.161 to 11.63.3.17411.63.3.17514
6011.63.3.176/2811.63.3.177 to 11.63.3.19011.63.3.19114
6111.63.3.192/2811.63.3.193 to 11.63.3.20611.63.3.20714
6211.63.3.208/2811.63.3.209 to 11.63.3.22211.63.3.22314
6311.63.3.224/2811.63.3.225 to 11.63.3.23811.63.3.23914
6411.63.3.240/2811.63.3.241 to 11.63.3.25411.63.3.25514
6511.63.4.0/2811.63.4.1 to 11.63.4.1411.63.4.1514
6611.63.4.16/2811.63.4.17 to 11.63.4.3011.63.4.3114
6711.63.4.32/2811.63.4.33 to 11.63.4.4611.63.4.4714
6811.63.4.48/2811.63.4.49 to 11.63.4.6211.63.4.6314
6911.63.4.64/2811.63.4.65 to 11.63.4.7811.63.4.7914
7011.63.4.80/2811.63.4.81 to 11.63.4.9411.63.4.9514
7111.63.4.96/2811.63.4.97 to 11.63.4.11011.63.4.11114
7211.63.4.112/2811.63.4.113 to 11.63.4.12611.63.4.12714
7311.63.4.128/2811.63.4.129 to 11.63.4.14211.63.4.14314
7411.63.4.144/2811.63.4.145 to 11.63.4.15811.63.4.15914
7511.63.4.160/2811.63.4.161 to 11.63.4.17411.63.4.17514
7611.63.4.176/2811.63.4.177 to 11.63.4.19011.63.4.19114
7711.63.4.192/2811.63.4.193 to 11.63.4.20611.63.4.20714
7811.63.4.208/2811.63.4.209 to 11.63.4.22211.63.4.22314
7911.63.4.224/2811.63.4.225 to 11.63.4.23811.63.4.23914
8011.63.4.240/2811.63.4.241 to 11.63.4.25411.63.4.25514
8111.63.5.0/2811.63.5.1 to 11.63.5.1411.63.5.1514
8211.63.5.16/2811.63.5.17 to 11.63.5.3011.63.5.3114
8311.63.5.32/2811.63.5.33 to 11.63.5.4611.63.5.4714
8411.63.5.48/2811.63.5.49 to 11.63.5.6211.63.5.6314
8511.63.5.64/2811.63.5.65 to 11.63.5.7811.63.5.7914
8611.63.5.80/2811.63.5.81 to 11.63.5.9411.63.5.9514
8711.63.5.96/2811.63.5.97 to 11.63.5.11011.63.5.11114
8811.63.5.112/2811.63.5.113 to 11.63.5.12611.63.5.12714
8911.63.5.128/2811.63.5.129 to 11.63.5.14211.63.5.14314
9011.63.5.144/2811.63.5.145 to 11.63.5.15811.63.5.15914
9111.63.5.160/2811.63.5.161 to 11.63.5.17411.63.5.17514
9211.63.5.176/2811.63.5.177 to 11.63.5.19011.63.5.19114
9311.63.5.192/2811.63.5.193 to 11.63.5.20611.63.5.20714
9411.63.5.208/2811.63.5.209 to 11.63.5.22211.63.5.22314
9511.63.5.224/2811.63.5.225 to 11.63.5.23811.63.5.23914
9611.63.5.240/2811.63.5.241 to 11.63.5.25411.63.5.25514
9711.63.6.0/2811.63.6.1 to 11.63.6.1411.63.6.1514
9811.63.6.16/2811.63.6.17 to 11.63.6.3011.63.6.3114
9911.63.6.32/2811.63.6.33 to 11.63.6.4611.63.6.4714
10011.63.6.48/2811.63.6.49 to 11.63.6.6211.63.6.6314
10111.63.6.64/2811.63.6.65 to 11.63.6.7811.63.6.7914
10211.63.6.80/2811.63.6.81 to 11.63.6.9411.63.6.9514
10311.63.6.96/2811.63.6.97 to 11.63.6.11011.63.6.11114
10411.63.6.112/2811.63.6.113 to 11.63.6.12611.63.6.12714
10511.63.6.128/2811.63.6.129 to 11.63.6.14211.63.6.14314
10611.63.6.144/2811.63.6.145 to 11.63.6.15811.63.6.15914
10711.63.6.160/2811.63.6.161 to 11.63.6.17411.63.6.17514
10811.63.6.176/2811.63.6.177 to 11.63.6.19011.63.6.19114
10911.63.6.192/2811.63.6.193 to 11.63.6.20611.63.6.20714
11011.63.6.208/2811.63.6.209 to 11.63.6.22211.63.6.22314
11111.63.6.224/2811.63.6.225 to 11.63.6.23811.63.6.23914
11211.63.6.240/2811.63.6.241 to 11.63.6.25411.63.6.25514
11311.63.7.0/2811.63.7.1 to 11.63.7.1411.63.7.1514
11411.63.7.16/2811.63.7.17 to 11.63.7.3011.63.7.3114
11511.63.7.32/2811.63.7.33 to 11.63.7.4611.63.7.4714
11611.63.7.48/2811.63.7.49 to 11.63.7.6211.63.7.6314
11711.63.7.64/2811.63.7.65 to 11.63.7.7811.63.7.7914
11811.63.7.80/2811.63.7.81 to 11.63.7.9411.63.7.9514
11911.63.7.96/2811.63.7.97 to 11.63.7.11011.63.7.11114
12011.63.7.112/2811.63.7.113 to 11.63.7.12611.63.7.12714
12111.63.7.128/2811.63.7.129 to 11.63.7.14211.63.7.14314
12211.63.7.144/2811.63.7.145 to 11.63.7.15811.63.7.15914
12311.63.7.160/2811.63.7.161 to 11.63.7.17411.63.7.17514
12411.63.7.176/2811.63.7.177 to 11.63.7.19011.63.7.19114
12511.63.7.192/2811.63.7.193 to 11.63.7.20611.63.7.20714
12611.63.7.208/2811.63.7.209 to 11.63.7.22211.63.7.22314
12711.63.7.224/2811.63.7.225 to 11.63.7.23811.63.7.23914
12811.63.7.240/2811.63.7.241 to 11.63.7.25411.63.7.25514
12911.63.8.0/2811.63.8.1 to 11.63.8.1411.63.8.1514
13011.63.8.16/2811.63.8.17 to 11.63.8.3011.63.8.3114
13111.63.8.32/2811.63.8.33 to 11.63.8.4611.63.8.4714
13211.63.8.48/2811.63.8.49 to 11.63.8.6211.63.8.6314
13311.63.8.64/2811.63.8.65 to 11.63.8.7811.63.8.7914
13411.63.8.80/2811.63.8.81 to 11.63.8.9411.63.8.9514
13511.63.8.96/2811.63.8.97 to 11.63.8.11011.63.8.11114
13611.63.8.112/2811.63.8.113 to 11.63.8.12611.63.8.12714
13711.63.8.128/2811.63.8.129 to 11.63.8.14211.63.8.14314
13811.63.8.144/2811.63.8.145 to 11.63.8.15811.63.8.15914
13911.63.8.160/2811.63.8.161 to 11.63.8.17411.63.8.17514
14011.63.8.176/2811.63.8.177 to 11.63.8.19011.63.8.19114
14111.63.8.192/2811.63.8.193 to 11.63.8.20611.63.8.20714
14211.63.8.208/2811.63.8.209 to 11.63.8.22211.63.8.22314
14311.63.8.224/2811.63.8.225 to 11.63.8.23811.63.8.23914
14411.63.8.240/2811.63.8.241 to 11.63.8.25411.63.8.25514
14511.63.9.0/2811.63.9.1 to 11.63.9.1411.63.9.1514
14611.63.9.16/2811.63.9.17 to 11.63.9.3011.63.9.3114
14711.63.9.32/2811.63.9.33 to 11.63.9.4611.63.9.4714
14811.63.9.48/2811.63.9.49 to 11.63.9.6211.63.9.6314
14911.63.9.64/2811.63.9.65 to 11.63.9.7811.63.9.7914
15011.63.9.80/2811.63.9.81 to 11.63.9.9411.63.9.9514
15111.63.9.96/2811.63.9.97 to 11.63.9.11011.63.9.11114
15211.63.9.112/2811.63.9.113 to 11.63.9.12611.63.9.12714
15311.63.9.128/2811.63.9.129 to 11.63.9.14211.63.9.14314
15411.63.9.144/2811.63.9.145 to 11.63.9.15811.63.9.15914
15511.63.9.160/2811.63.9.161 to 11.63.9.17411.63.9.17514
15611.63.9.176/2811.63.9.177 to 11.63.9.19011.63.9.19114
15711.63.9.192/2811.63.9.193 to 11.63.9.20611.63.9.20714
15811.63.9.208/2811.63.9.209 to 11.63.9.22211.63.9.22314
15911.63.9.224/2811.63.9.225 to 11.63.9.23811.63.9.23914
16011.63.9.240/2811.63.9.241 to 11.63.9.25411.63.9.25514
16111.63.10.0/2811.63.10.1 to 11.63.10.1411.63.10.1514
16211.63.10.16/2811.63.10.17 to 11.63.10.3011.63.10.3114
16311.63.10.32/2811.63.10.33 to 11.63.10.4611.63.10.4714
16411.63.10.48/2811.63.10.49 to 11.63.10.6211.63.10.6314
16511.63.10.64/2811.63.10.65 to 11.63.10.7811.63.10.7914
16611.63.10.80/2811.63.10.81 to 11.63.10.9411.63.10.9514
16711.63.10.96/2811.63.10.97 to 11.63.10.11011.63.10.11114
16811.63.10.112/2811.63.10.113 to 11.63.10.12611.63.10.12714
16911.63.10.128/2811.63.10.129 to 11.63.10.14211.63.10.14314
17011.63.10.144/2811.63.10.145 to 11.63.10.15811.63.10.15914
17111.63.10.160/2811.63.10.161 to 11.63.10.17411.63.10.17514
17211.63.10.176/2811.63.10.177 to 11.63.10.19011.63.10.19114
17311.63.10.192/2811.63.10.193 to 11.63.10.20611.63.10.20714
17411.63.10.208/2811.63.10.209 to 11.63.10.22211.63.10.22314
17511.63.10.224/2811.63.10.225 to 11.63.10.23811.63.10.23914
17611.63.10.240/2811.63.10.241 to 11.63.10.25411.63.10.25514
17711.63.11.0/2811.63.11.1 to 11.63.11.1411.63.11.1514
17811.63.11.16/2811.63.11.17 to 11.63.11.3011.63.11.3114
17911.63.11.32/2811.63.11.33 to 11.63.11.4611.63.11.4714
18011.63.11.48/2811.63.11.49 to 11.63.11.6211.63.11.6314
18111.63.11.64/2811.63.11.65 to 11.63.11.7811.63.11.7914
18211.63.11.80/2811.63.11.81 to 11.63.11.9411.63.11.9514
18311.63.11.96/2811.63.11.97 to 11.63.11.11011.63.11.11114
18411.63.11.112/2811.63.11.113 to 11.63.11.12611.63.11.12714
18511.63.11.128/2811.63.11.129 to 11.63.11.14211.63.11.14314
18611.63.11.144/2811.63.11.145 to 11.63.11.15811.63.11.15914
18711.63.11.160/2811.63.11.161 to 11.63.11.17411.63.11.17514
18811.63.11.176/2811.63.11.177 to 11.63.11.19011.63.11.19114
18911.63.11.192/2811.63.11.193 to 11.63.11.20611.63.11.20714
19011.63.11.208/2811.63.11.209 to 11.63.11.22211.63.11.22314
19111.63.11.224/2811.63.11.225 to 11.63.11.23811.63.11.23914
19211.63.11.240/2811.63.11.241 to 11.63.11.25411.63.11.25514
19311.63.12.0/2811.63.12.1 to 11.63.12.1411.63.12.1514
19411.63.12.16/2811.63.12.17 to 11.63.12.3011.63.12.3114
19511.63.12.32/2811.63.12.33 to 11.63.12.4611.63.12.4714
19611.63.12.48/2811.63.12.49 to 11.63.12.6211.63.12.6314
19711.63.12.64/2811.63.12.65 to 11.63.12.7811.63.12.7914
19811.63.12.80/2811.63.12.81 to 11.63.12.9411.63.12.9514
19911.63.12.96/2811.63.12.97 to 11.63.12.11011.63.12.11114
20011.63.12.112/2811.63.12.113 to 11.63.12.12611.63.12.12714
20111.63.12.128/2811.63.12.129 to 11.63.12.14211.63.12.14314
20211.63.12.144/2811.63.12.145 to 11.63.12.15811.63.12.15914
20311.63.12.160/2811.63.12.161 to 11.63.12.17411.63.12.17514
20411.63.12.176/2811.63.12.177 to 11.63.12.19011.63.12.19114
20511.63.12.192/2811.63.12.193 to 11.63.12.20611.63.12.20714
20611.63.12.208/2811.63.12.209 to 11.63.12.22211.63.12.22314
20711.63.12.224/2811.63.12.225 to 11.63.12.23811.63.12.23914
20811.63.12.240/2811.63.12.241 to 11.63.12.25411.63.12.25514
20911.63.13.0/2811.63.13.1 to 11.63.13.1411.63.13.1514
21011.63.13.16/2811.63.13.17 to 11.63.13.3011.63.13.3114
21111.63.13.32/2811.63.13.33 to 11.63.13.4611.63.13.4714
21211.63.13.48/2811.63.13.49 to 11.63.13.6211.63.13.6314
21311.63.13.64/2811.63.13.65 to 11.63.13.7811.63.13.7914
21411.63.13.80/2811.63.13.81 to 11.63.13.9411.63.13.9514
21511.63.13.96/2811.63.13.97 to 11.63.13.11011.63.13.11114
21611.63.13.112/2811.63.13.113 to 11.63.13.12611.63.13.12714
21711.63.13.128/2811.63.13.129 to 11.63.13.14211.63.13.14314
21811.63.13.144/2811.63.13.145 to 11.63.13.15811.63.13.15914
21911.63.13.160/2811.63.13.161 to 11.63.13.17411.63.13.17514
22011.63.13.176/2811.63.13.177 to 11.63.13.19011.63.13.19114
22111.63.13.192/2811.63.13.193 to 11.63.13.20611.63.13.20714
22211.63.13.208/2811.63.13.209 to 11.63.13.22211.63.13.22314
22311.63.13.224/2811.63.13.225 to 11.63.13.23811.63.13.23914
22411.63.13.240/2811.63.13.241 to 11.63.13.25411.63.13.25514
22511.63.14.0/2811.63.14.1 to 11.63.14.1411.63.14.1514
22611.63.14.16/2811.63.14.17 to 11.63.14.3011.63.14.3114
22711.63.14.32/2811.63.14.33 to 11.63.14.4611.63.14.4714
22811.63.14.48/2811.63.14.49 to 11.63.14.6211.63.14.6314
22911.63.14.64/2811.63.14.65 to 11.63.14.7811.63.14.7914
23011.63.14.80/2811.63.14.81 to 11.63.14.9411.63.14.9514
23111.63.14.96/2811.63.14.97 to 11.63.14.11011.63.14.11114
23211.63.14.112/2811.63.14.113 to 11.63.14.12611.63.14.12714
23311.63.14.128/2811.63.14.129 to 11.63.14.14211.63.14.14314
23411.63.14.144/2811.63.14.145 to 11.63.14.15811.63.14.15914
23511.63.14.160/2811.63.14.161 to 11.63.14.17411.63.14.17514
23611.63.14.176/2811.63.14.177 to 11.63.14.19011.63.14.19114
23711.63.14.192/2811.63.14.193 to 11.63.14.20611.63.14.20714
23811.63.14.208/2811.63.14.209 to 11.63.14.22211.63.14.22314
23911.63.14.224/2811.63.14.225 to 11.63.14.23811.63.14.23914
24011.63.14.240/2811.63.14.241 to 11.63.14.25411.63.14.25514
24111.63.15.0/2811.63.15.1 to 11.63.15.1411.63.15.1514
24211.63.15.16/2811.63.15.17 to 11.63.15.3011.63.15.3114
24311.63.15.32/2811.63.15.33 to 11.63.15.4611.63.15.4714
24411.63.15.48/2811.63.15.49 to 11.63.15.6211.63.15.6314
24511.63.15.64/2811.63.15.65 to 11.63.15.7811.63.15.7914
24611.63.15.80/2811.63.15.81 to 11.63.15.9411.63.15.9514
24711.63.15.96/2811.63.15.97 to 11.63.15.11011.63.15.11114
24811.63.15.112/2811.63.15.113 to 11.63.15.12611.63.15.12714
24911.63.15.128/2811.63.15.129 to 11.63.15.14211.63.15.14314
25011.63.15.144/2811.63.15.145 to 11.63.15.15811.63.15.15914
25111.63.15.160/2811.63.15.161 to 11.63.15.17411.63.15.17514
25211.63.15.176/2811.63.15.177 to 11.63.15.19011.63.15.19114
25311.63.15.192/2811.63.15.193 to 11.63.15.20611.63.15.20714
25411.63.15.208/2811.63.15.209 to 11.63.15.22211.63.15.22314
25511.63.15.224/2811.63.15.225 to 11.63.15.23811.63.15.23914
25611.63.15.240/2811.63.15.241 to 11.63.15.25411.63.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses